Bug 1236 - bc-1.05a-1 always prints a surplus CR
bc-1.05a-1 always prints a surplus CR
Product: Red Hat Linux
Classification: Retired
Component: bc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-02-18 19:13 EST by Chris Siebenmann
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-06-29 14:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Siebenmann 1999-02-18 19:13:58 EST
Apparently because it's linked with GNU readline, bc
version 1.05a-1 (the version in RedHat 5.2) prints out
a CR that it shouldn't every time it prints output; it
appears to print the regular output, a NL, and then a
CR. This is quite visible in a typescript (if viewed
with less), and in anything that doesn't require that
CR (such as the non-terminal emulator 9term, which uses
pure NLs and sets the stty modes correctly to match this).

 This doesn't happen in bc-1.04-5, the bc version from
RH 5.1.
Comment 1 Jay Turner 1999-06-29 14:13:59 EDT
Please verify whether you are still having the problem with
bc-1.05a-4.  Reopen the bug if you still experience problems.

Note You need to log in before you can comment on or make changes to this bug.